package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrRegion;

/**
 * pssr区域管理Mapper接口
 * 
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrRegionMapper 
{
    /**
     * 查询pssr区域管理
     * 
     * @param id pssr区域管理ID
     * @return pssr区域管理
     */
    public TPssrRegion selectTPssrRegionById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询pssr区域管理列表
     * 
     * @param tPssrRegion pssr区域管理
     * @return pssr区域管理集合
     */
    
    public List<TPssrRegion> selectTPssrRegionList(TPssrRegion tPssrRegion);

    /**
     * 新增pssr区域管理
     * 
     * @param tPssrRegion pssr区域管理
     * @return 结果
     */
    public int insertTPssrRegion(TPssrRegion tPssrRegion);

    /**
     * 修改pssr区域管理
     * 
     * @param tPssrRegion pssr区域管理
     * @return 结果
     */
    public int updateTPssrRegion(TPssrRegion tPssrRegion);

    /**
     * 删除pssr区域管理
     * 
     * @param id pssr区域管理ID
     * @return 结果
     */
    public int deleteTPssrRegionById(Long id);

    /**
     * 批量删除pssr区域管理
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrRegionByIds(Long[] ids);
}
